Description

This is related to #35892.

The sanitisation rules should allow footnotes markup to render as they are generated by commonmark gem for easier

customisations.

History

#1 - 2022-05-30 13:08 - Holger Just

Is this resolved with r21612 already or are there any further required steps?

#2 - 2022-05-31 08:34 - Marius BĂLTEANU

- File footnotes.png added

This is how it looks without SanitizationFilter:

 footnotes.png 

And I think it is useful to have the data-footnote-* attributes, the class and even the section element. I've already some working code to obtain this.

What do you think?

#3 - 2022-06-16 16:57 - Holger Just

I'm not opposed to this :)

I'm not sure the data attributes are required for us, given that we don't have anything in Redmine which wants this (specifically: no browser JS

leveraging those attributes).

The aria-label and class attributes are probably useful though, as might be the section.

#4 - 2023-10-07 05:54 - Go MAEDA

- Target version changed from 5.1.0 to 6.0.0

Files

footnotes.png 232 KB 2022-05-31 Marius BĂLTEANU

Powered by TCPDF (www.tcpdf.org)

2024-05-17 1/1

https://www.redmine.org/issues/35892
https://www.redmine.org/projects/redmine/repository/svn/revisions/21612
http://www.tcpdf.org

